// SPDX-License-Identifier: GPL-3.0-or-later
/*
 * Qt mutizone MQTT thermostat
 *
 * Copyright (C) 2019 Richard Genoud
 *
 */

#include <QEventLoop>
#include <QDateTime>
#include <QElapsedTimer>
#include <QHostInfo>
#include <QHostAddress>
#include <QLoggingCategory>


#include "backgroundloop.h"


BackgroundLoop::BackgroundLoop() {
	m_mqtt_client = NULL;
	qsrand((uint)QDateTime::currentMSecsSinceEpoch());
}

BackgroundLoop::~BackgroundLoop() {
}

void BackgroundLoop::run()
{
	while(!isInterruptionRequested()) {
		this->sleep(LOOP_SLEEP_TIME_S);
	}
}

/* vim: set tabstop=8 shiftwidth=8 softtabstop=0 noexpandtab: */
